<?xml version="1.0" encoding="utf-8"?>
<creole>
    <files>
        <!-- warnquota s'execute sur le maitre bug #1602 -->
        <file filelist='smb_quotawarn' name='/etc/warnquota.conf'/>
        <file name='/etc/default/quota' source='quota.default'/>
    </files>
    <variables>
        <family name='samba' icon='group'>
            <variable name='smb_quotawarn' type='oui/non' description="Activer l'envoi de courriel en cas de dépassement des quotas" mode='expert'>
                <value>non</value>
            </variable>
            <variable name='quota_hard_limit_percent' type='number' description="Pourcentage de la limite douce appliquée à la limite dure des quotas" mode='expert'>
                <value>200</value>
            </variable>
        </family>
    </variables>
    <constraints>
        <condition name='disabled_if_in' source='smb_quotawarn'>
            <param>non</param>
            <target type='filelist'>smb_quotawarn</target>
        </condition>
        <check name='valid_entier' target='quota_hard_limit_percent'>
            <param name='mini'>100</param>
        </check>
    </constraints>
</creole>
